Promotioncodes Activate promotion code

Activate a promotion code for an organization

POST
/billing/api/v1/promotion-codes/activate

Authentication

Request Body

Activation request

Required

codestringrequired

organization_idstringrequired

Example:

{
  "code": "string",
  "organization_id": "string"
}

Responses

200
OK

Response Fields:

  • expires_at (string)

  • is_lifetime (boolean)

  • plan_id (string)

  • plan_name (string)

  • subscription_id (string)

  • success (boolean)

Example:

{
  "expires_at": "string",
  "is_lifetime": true,
  "plan_id": "string",
  "plan_name": "string",
  "subscription_id": "string",
  "success": true
}
400
Bad Request

Example:

{
  "key": "value"
}
404
Not Found

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}